Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.html
Enum HtmlSelectOneRadio.PropertyKeys

    java.lang.Object
      java.lang.Enum<HtmlSelectOneRadio.PropertyKeys>
          javax.faces.component.html.HtmlSelectOneRadio.PropertyKeys

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HtmlSelectOneRadio.PropertyKeys>

Enclosing class:
  HtmlSelectOneRadio

    protected static enum HtmlSelectOneRadio.PropertyKeys

extends java.lang.Enum<HtmlSelectOneRadio.PropertyKeys>

Enum Constant Summary
`accesskey`
`border`
`dir`
`disabled`
`disabledClass`
`enabledClass`
`label`
`lang`
`layout`
`onblur`
`onchange`
`onclick`
`ondblclick`
`onfocus`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`onselect`
`readonly`
`style`
`styleClass`
`tabindex`
`title`

Method Summary
`java.lang.String` | `toString()`
`static HtmlSelectOneRadio.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HtmlSelectOneRadio.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### accesskey

    public static final HtmlSelectOneRadio.PropertyKeys accesskey

### border

    public static final HtmlSelectOneRadio.PropertyKeys border

### dir

    public static final HtmlSelectOneRadio.PropertyKeys dir

### disabled

    public static final HtmlSelectOneRadio.PropertyKeys disabled

### disabledClass

    public static final HtmlSelectOneRadio.PropertyKeys disabledClass

### enabledClass

    public static final HtmlSelectOneRadio.PropertyKeys enabledClass

### label

    public static final HtmlSelectOneRadio.PropertyKeys label

### lang

    public static final HtmlSelectOneRadio.PropertyKeys lang

### layout

    public static final HtmlSelectOneRadio.PropertyKeys layout

### onblur

    public static final HtmlSelectOneRadio.PropertyKeys onblur

### onchange

    public static final HtmlSelectOneRadio.PropertyKeys onchange

### onclick

    public static final HtmlSelectOneRadio.PropertyKeys onclick

### ondblclick

    public static final HtmlSelectOneRadio.PropertyKeys ondblclick

### onfocus

    public static final HtmlSelectOneRadio.PropertyKeys onfocus

### onkeydown

    public static final HtmlSelectOneRadio.PropertyKeys onkeydown

### onkeypress

    public static final HtmlSelectOneRadio.PropertyKeys onkeypress

### onkeyup

    public static final HtmlSelectOneRadio.PropertyKeys onkeyup

### onmousedown

    public static final HtmlSelectOneRadio.PropertyKeys onmousedown

### onmousemove

    public static final HtmlSelectOneRadio.PropertyKeys onmousemove

### onmouseout

    public static final HtmlSelectOneRadio.PropertyKeys onmouseout

### onmouseover

    public static final HtmlSelectOneRadio.PropertyKeys onmouseover

### onmouseup

    public static final HtmlSelectOneRadio.PropertyKeys onmouseup

### onselect

    public static final HtmlSelectOneRadio.PropertyKeys onselect

### readonly

    public static final HtmlSelectOneRadio.PropertyKeys readonly

### style

    public static final HtmlSelectOneRadio.PropertyKeys style

### styleClass

    public static final HtmlSelectOneRadio.PropertyKeys styleClass

### tabindex

    public static final HtmlSelectOneRadio.PropertyKeys tabindex

### title

    public static final HtmlSelectOneRadio.PropertyKeys title

Method Detail

### values

    public static HtmlSelectOneRadio.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlSelectOneRadio.PropertyKeys c : HtmlSelectOneRadio.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlSelectOneRadio.PropertyKeys valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<HtmlSelectOneRadio.PropertyKeys>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.